Predefined Constants
SyncMutex::__construct
Sync
PHP Manual

# The SyncMutex class

(PECL sync >= 1.0.0)

## Introduction

A cross-platform, native implementation of named and unnamed countable mutex objects.

A mutex is a mutual exclusion object that restricts access to a shared resource (e.g. a file) to a single instance. Countable mutexes acquire the mutex a single time and internally track the number of times the mutex is locked. The mutex is unlocked as soon as it goes out of scope or is unlocked the same number of times that it was locked.

## Class synopsis

SyncMutex {
/* Methods */
public __construct ([ string `$name` ] )
public bool lock ([ integer `$wait` ] )
public bool unlock ([ bool `$all` ] )
}

## Table of Contents

- SyncMutex::__construct — Constructs a new SyncMutex object
- SyncMutex::lock — Waits for an exclusive lock
- SyncMutex::unlock — Unlocks the mutex

Predefined Constants
SyncMutex::__construct
Sync
PHP Manual